"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 409: Conflict
 */
class Conflict extends HttpError_1.default {
    constructor(mesg, data) {
        super(Conflict.CODE, 'Conflict', mesg, data);
    }
}
exports.default = Conflict;
Conflict.CODE = 409;
//# sourceMappingURL=Conflict.js.map