"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 403: Forbidden
 */
class Forbidden extends HttpError_1.default {
    constructor(mesg, data) {
        super(Forbidden.CODE, 'Forbidden', mesg, data);
    }
}
exports.default = Forbidden;
Forbidden.CODE = 403;
//# sourceMappingURL=Forbidden.js.map