"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 411: Length Required
 */
class LengthRequired extends HttpError_1.default {
    constructor(mesg, data) {
        super(LengthRequired.CODE, 'Length Required', mesg, data);
    }
}
exports.default = LengthRequired;
LengthRequired.CODE = 411;
//# sourceMappingURL=LengthRequired.js.map