"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 406: Not Acceptable
 */
class NotAcceptable extends HttpError_1.default {
    constructor(mesg, data) {
        super(NotAcceptable.CODE, 'Not Acceptable', mesg, data);
    }
}
exports.default = NotAcceptable;
NotAcceptable.CODE = 406;
//# sourceMappingURL=NotAcceptable.js.map