"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 404: Not Found
 */
class NotFound extends HttpError_1.default {
    constructor(mesg, data) {
        super(NotFound.CODE, 'Not Found', mesg, data);
    }
}
exports.default = NotFound;
NotFound.CODE = 404;
//# sourceMappingURL=NotFound.js.map