"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 412: Precondition Failed
 */
class PreconditionFailed extends HttpError_1.default {
    constructor(mesg, data) {
        super(PreconditionFailed.CODE, 'Precondition Failed', mesg, data);
    }
}
exports.default = PreconditionFailed;
PreconditionFailed.CODE = 412;
//# sourceMappingURL=PreconditionFailed.js.map