"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 407: Proxy Authentication Required
 */
class ProxyAuthenticationRequired extends HttpError_1.default {
    constructor(mesg, data) {
        super(ProxyAuthenticationRequired.CODE, 'Proxy Authentication Required', mesg, data);
    }
}
exports.default = ProxyAuthenticationRequired;
ProxyAuthenticationRequired.CODE = 407;
//# sourceMappingURL=ProxyAuthenticationRequired.js.map