"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 431: Request Header Fields Too Large
 */
class RequestHeaderFieldsTooLarge extends HttpError_1.default {
    constructor(mesg, data) {
        super(RequestHeaderFieldsTooLarge.CODE, 'Request Header Fields Too Large', mesg, data);
    }
}
exports.default = RequestHeaderFieldsTooLarge;
RequestHeaderFieldsTooLarge.CODE = 431;
//# sourceMappingURL=RequestHeaderFieldsTooLarge.js.map