"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 408: Request Timeout
 */
class RequestTimeout extends HttpError_1.default {
    constructor(mesg, data) {
        super(RequestTimeout.CODE, 'Request Timeout', mesg, data);
    }
}
exports.default = RequestTimeout;
RequestTimeout.CODE = 408;
//# sourceMappingURL=RequestTimeout.js.map