"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 425: Too Early
 */
class TooEarly extends HttpError_1.default {
    constructor(mesg, data) {
        super(TooEarly.CODE, 'Too Early', mesg, data);
    }
}
exports.default = TooEarly;
TooEarly.CODE = 425;
//# sourceMappingURL=TooEarly.js.map