"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 414: URI Too Long
 */
class URITooLong extends HttpError_1.default {
    constructor(mesg, data) {
        super(URITooLong.CODE, 'URI Too Long', mesg, data);
    }
}
exports.default = URITooLong;
URITooLong.CODE = 414;
//# sourceMappingURL=URITooLong.js.map