"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 451: Unavailable For Legal Reasons
 */
class UnavailableForLegalReasons extends HttpError_1.default {
    constructor(mesg, data) {
        super(UnavailableForLegalReasons.CODE, 'Unavailable For Legal Reasons', mesg, data);
    }
}
exports.default = UnavailableForLegalReasons;
UnavailableForLegalReasons.CODE = 451;
//# sourceMappingURL=UnavailableForLegalReasons.js.map