"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 502: Bad Gateway
 */
class BadGateway extends HttpError_1.default {
    constructor(mesg, data) {
        super(BadGateway.CODE, 'Bad Gateway', mesg, data);
    }
}
exports.default = BadGateway;
BadGateway.CODE = 502;
//# sourceMappingURL=BadGateway.js.map