"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 505: HTTP Version Not Supported
 */
class HTTPVersionNotSupported extends HttpError_1.default {
    constructor(mesg, data) {
        super(HTTPVersionNotSupported.CODE, 'HTTP Version Not Supported', mesg, data);
    }
}
exports.default = HTTPVersionNotSupported;
HTTPVersionNotSupported.CODE = 505;
//# sourceMappingURL=HTTPVersionNotSupported.js.map