"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 507: Insufficient Storage
 */
class InsufficientStorage extends HttpError_1.default {
    constructor(mesg, data) {
        super(InsufficientStorage.CODE, 'Insufficient Storage', mesg, data);
    }
}
exports.default = InsufficientStorage;
InsufficientStorage.CODE = 507;
//# sourceMappingURL=InsufficientStorage.js.map