"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 500: Internal Server Error
 */
class InternalServerError extends HttpError_1.default {
    constructor(mesg, data) {
        super(InternalServerError.CODE, 'Internal Server Error', mesg, data);
    }
}
exports.default = InternalServerError;
InternalServerError.CODE = 500;
//# sourceMappingURL=InternalServerError.js.map