"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 503: Service Unavailable
 */
class ServiceUnavailable extends HttpError_1.default {
    constructor(mesg, data) {
        super(ServiceUnavailable.CODE, 'Service Unavailable', mesg, data);
    }
}
exports.default = ServiceUnavailable;
ServiceUnavailable.CODE = 503;
//# sourceMappingURL=ServiceUnavailable.js.map