export declare type Literal = {
    [key: string]: any;
};
/**
 *
 */
export default abstract class HttpError extends Error {
    readonly code: number;
    readonly name: string;
    readonly mesg: string;
    readonly data?: Literal | undefined;
    static CODE: number;
    constructor(code: number, name: string, mesg: string, data?: Literal | undefined);
}
/**
 *
 */
export declare class GenericHttpError extends Error {
}
//# sourceMappingURL=HttpError.d.ts.map