"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 400: Bad Request
 */
class BadRequest extends HttpError_1.default {
    constructor(mesg, data) {
        super(BadRequest.CODE, 'Bad Request', mesg, data);
    }
}
exports.default = BadRequest;
BadRequest.CODE = 400;
//# sourceMappingURL=BadRequest.js.map