"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 417: Expectation Failed
 */
class ExpectationFailed extends HttpError_1.default {
    constructor(mesg, data) {
        super(ExpectationFailed.CODE, 'Expectation Failed', mesg, data);
    }
}
exports.default = ExpectationFailed;
ExpectationFailed.CODE = 417;
//# sourceMappingURL=ExpectationFailed.js.map