"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 405: Method Not Allowed
 */
class MethodNotAllowed extends HttpError_1.default {
    constructor(mesg, data) {
        super(MethodNotAllowed.CODE, 'Method Not Allowed', mesg, data);
    }
}
exports.default = MethodNotAllowed;
MethodNotAllowed.CODE = 405;
//# sourceMappingURL=MethodNotAllowed.js.map