"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 421: Misdirected Request
 */
class MisdirectedRequest extends HttpError_1.default {
    constructor(mesg, data) {
        super(MisdirectedRequest.CODE, 'Misdirected Request', mesg, data);
    }
}
exports.default = MisdirectedRequest;
MisdirectedRequest.CODE = 421;
//# sourceMappingURL=MisdirectedRequest.js.map