"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 413: Payload Too Large
 */
class PayloadTooLarge extends HttpError_1.default {
    constructor(mesg, data) {
        super(PayloadTooLarge.CODE, 'Payload Too Large', mesg, data);
    }
}
exports.default = PayloadTooLarge;
PayloadTooLarge.CODE = 413;
//# sourceMappingURL=PayloadTooLarge.js.map