"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 428: Precondition Required
 */
class PreconditionRequired extends HttpError_1.default {
    constructor(mesg, data) {
        super(PreconditionRequired.CODE, 'Precondition Required', mesg, data);
    }
}
exports.default = PreconditionRequired;
PreconditionRequired.CODE = 428;
//# sourceMappingURL=PreconditionRequired.js.map