"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 416: Range Not Satisfiable
 */
class RangeNotSatisfiable extends HttpError_1.default {
    constructor(mesg, data) {
        super(RangeNotSatisfiable.CODE, 'Range Not Satisfiable', mesg, data);
    }
}
exports.default = RangeNotSatisfiable;
RangeNotSatisfiable.CODE = 416;
//# sourceMappingURL=RangeNotSatisfiable.js.map