"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 429: Too Many Requests
 */
class TooManyRequests extends HttpError_1.default {
    constructor(mesg, data) {
        super(TooManyRequests.CODE, 'Too Many Requests', mesg, data);
    }
}
exports.default = TooManyRequests;
TooManyRequests.CODE = 429;
//# sourceMappingURL=TooManyRequests.js.map