"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 401: Unauthorized
 */
class Unauthorized extends HttpError_1.default {
    constructor(mesg, data) {
        super(Unauthorized.CODE, 'Unauthorized', mesg, data);
    }
}
exports.default = Unauthorized;
Unauthorized.CODE = 401;
//# sourceMappingURL=Unauthorized.js.map