"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 422: Unprocessable Entity
 */
class UnprocessableEntity extends HttpError_1.default {
    constructor(mesg, data) {
        super(UnprocessableEntity.CODE, 'Unprocessable Entity', mesg, data);
    }
}
exports.default = UnprocessableEntity;
UnprocessableEntity.CODE = 422;
//# sourceMappingURL=UnprocessableEntity.js.map