"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 415: Unsupported Media Type
 */
class UnsupportedMediaType extends HttpError_1.default {
    constructor(mesg, data) {
        super(UnsupportedMediaType.CODE, 'Unsupported Media Type', mesg, data);
    }
}
exports.default = UnsupportedMediaType;
UnsupportedMediaType.CODE = 415;
//# sourceMappingURL=UnsupportedMediaType.js.map