"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 426: Upgrade Required
 */
class UpgradeRequired extends HttpError_1.default {
    constructor(mesg, data) {
        super(UpgradeRequired.CODE, 'Upgrade Required', mesg, data);
    }
}
exports.default = UpgradeRequired;
UpgradeRequired.CODE = 426;
//# sourceMappingURL=UpgradeRequired.js.map