"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 509: Bandwidth Limit Exceeded
 */
class BandwidthLimitExceeded extends HttpError_1.default {
    constructor(mesg, data) {
        super(BandwidthLimitExceeded.CODE, 'Bandwidth Limit Exceeded', mesg, data);
    }
}
exports.default = BandwidthLimitExceeded;
BandwidthLimitExceeded.CODE = 509;
//# sourceMappingURL=BandwidthLimitExceeded.js.map