"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 508: Loop Detected
 */
class LoopDetected extends HttpError_1.default {
    constructor(mesg, data) {
        super(LoopDetected.CODE, 'Loop Detected', mesg, data);
    }
}
exports.default = LoopDetected;
LoopDetected.CODE = 508;
//# sourceMappingURL=LoopDetected.js.map