"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 511: Network Authentication Required
 */
class NetworkAuthenticationRequired extends HttpError_1.default {
    constructor(mesg, data) {
        super(NetworkAuthenticationRequired.CODE, 'Network Authentication Required', mesg, data);
    }
}
exports.default = NetworkAuthenticationRequired;
NetworkAuthenticationRequired.CODE = 511;
//# sourceMappingURL=NetworkAuthenticationRequired.js.map