"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpError_1 = __importDefault(require("../HttpError"));
/**
 * Http Error 501: Not Implemented
 */
class NotImplemented extends HttpError_1.default {
    constructor(mesg, data) {
        super(NotImplemented.CODE, 'Not Implemented', mesg, data);
    }
}
exports.default = NotImplemented;
NotImplemented.CODE = 501;
//# sourceMappingURL=NotImplemented.js.map