"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericHttpError = void 0;
/**
 *
 */
class HttpError extends Error {
    constructor(code, name, mesg, data) {
        super(`${name} [${code}]: ${mesg}`);
        this.code = code;
        this.name = name;
        this.mesg = mesg;
        this.data = data;
    }
}
exports.default = HttpError;
HttpError.CODE = -1;
/**
 *
 */
class GenericHttpError extends Error {
}
exports.GenericHttpError = GenericHttpError;
//# sourceMappingURL=HttpError.js.map